package com.unitesk.requality.tests.core;

import com.unitesk.requality.core.MemoryStorage;
import com.unitesk.requality.core.TreeDB;
import com.unitesk.requality.core.TreeStorage;

public class MemoryStorageTest extends StorageTest {
    private TreeDB db;
    @Override
    protected TreeStorage createStorage() {
        return new MemoryStorage();
    }

    @Override
    protected TreeDB getDB() {
        if(db==null) {
            db = new TreeDB(createStorage());
        }
        return db;
    }

}
