package com.unitesk.requality.tests.merge;

import java.lang.reflect.InvocationTargetException;

import com.unitesk.requality.merge.Chunk;
import com.unitesk.requality.merge.Location;
import com.unitesk.requality.merge.Node;
import com.unitesk.requality.merge.Tree;

public class LocationAccessor {

    private final Location locInstance;

    public LocationAccessor(Location loc) {
	locInstance = loc;
    }

    public Node findCommonParent() throws InvocationTargetException {
	Class<?> argTypes[] = {};
	Object argValues[] = {};
	return (Node) Utils.invokePrivateMethod(locInstance,
		"findCommonParent", argTypes, argValues);
    }

    public Node traceChunk(Chunk chunk, Node parent, Tree target)
	    throws InvocationTargetException {
	Class<?> argTypes[] = { Chunk.class, Node.class, Tree.class };
	Object argValues[] = { chunk, parent, target };
	return (Node) Utils.invokePrivateMethod(locInstance, "traceChunk",
		argTypes, argValues);
    }

    public Node traceParent(Tree target) throws InvocationTargetException {
	Class<?> argTypes[] = { Tree.class };
	Object argValues[] = { target };
	return (Node) Utils.invokePrivateMethod(locInstance, "traceParent",
		argTypes, argValues);
    }
}
